package jp.jasminesoft.wagby.tests.models.customer;

import jp.jasminesoft.jfc.test.support.selenide.Postcode;
import jp.jasminesoft.jfc.test.support.selenide.RadioButton;
import jp.jasminesoft.jfc.test.support.selenide.WebListModel;
import jp.jasminesoft.jfc.test.support.selenide.WebModelitem;
import jp.jasminesoft.jfc.test.support.selenide.WebMultiModelitem;

/**
 * Customer モデルの一覧表示部の情報を保持するクラス。
 *
 * @author JasmineSoft
 * @version $Revision$ $Date$
 */
public class CustomerLp extends WebListModel<CustomerLp> {

    /**
     * コンストラクタ。
     */
    public CustomerLp() {
        super("customer");
    }

    /**
     * コンストラクタ。
     * @param index レコード番号
     */
    public CustomerLp(int index) {
        super("customer", index);
    }

    /** {@inheritDoc} */
    @Override
    protected CustomerLp newInstance(int idx) {
        return new CustomerLp(idx);
    }

    /** customer/customerid */
    public final WebModelitem<?> customerid
            = new WebModelitem<>(this, "customerid");

    /** customer/name */
    public final WebModelitem<?> name
            = new WebModelitem<>(this, "name");

    /** customer/customertype */
    public final RadioButton customertype
            = new RadioButton(this, "customertype");

    /** customer/title */
    public final WebModelitem<?> title
            = new WebModelitem<>(this, "title");

    /** customer/zipcode */
    public final Postcode zipcode
            = new Postcode(this, "zipcode");

    /** customer/address */
    public final WebModelitem<?> address
            = new WebModelitem<>(this, "address");

    /** customer/email */
    public final WebMultiModelitem<?> email
            = new WebMultiModelitem<>(this, "email");

    /** customer/tel */
    public final WebModelitem<?> tel
            = new WebModelitem<>(this, "tel");
}
