package jp.jasminesoft.wagby.tests.models.customer;

import jp.jasminesoft.jfc.test.support.selenide.Postcode;
import jp.jasminesoft.jfc.test.support.selenide.RadioButton;
import jp.jasminesoft.jfc.test.support.selenide.WebModelitem;
import jp.jasminesoft.jfc.test.support.selenide.WebUpdateListModel;

/**
 * Customer モデルの一覧更新部の情報を保持するクラス。
 *
 * @author JasmineSoft
 * @version $Revision$ $Date$
 */
public class CustomerUlp extends WebUpdateListModel<CustomerUlp> {

    /**
     * コンストラクタ。
     */
    public CustomerUlp() {
        super("customer");
    }

    /**
     * コンストラクタ。
     * @param index レコード番号
     */
    public CustomerUlp(int index) {
        super("customer", index);
    }

    /** {@inheritDoc} */
    @Override
    protected CustomerUlp newInstance(int idx) {
        return new CustomerUlp(idx);
    }


    /** customer/customerid */
    public final WebModelitem<?> customerid
            = new WebModelitem<>(this, "customerid");

    /** customer/name */
    public final WebModelitem<?> name
            = new WebModelitem<>(this, "name");

    /** customer/customertype */
    public final RadioButton customertype
            = new RadioButton(this, "customertype");

    /** customer/title */
    public final WebModelitem<?> title
            = new WebModelitem<>(this, "title");

    /** customer/zipcode */
    public final Postcode zipcode
            = new Postcode(this, "zipcode");

    /** customer/address */
    public final WebModelitem<?> address
            = new WebModelitem<>(this, "address");

    // 繰り返し項目は一覧更新画面では対象外となり、表示されない。
    ///** customer/email */
    //public final WebMultiModelitem<?> email
    //        = new WebMultiModelitem<>(this, "email");

    /** customer/tel */
    public final WebModelitem<?> tel
            = new WebModelitem<>(this, "tel");
}
